Subject: bug#7952: 24.0.50; crash in find_interval

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Mar 2011 15:46:42 +0200

> From: Romain Francoise <[email-masked]>
> Date: Wed, 09 Mar 2011 13:25:05 +0100
> Cc: 
> 
> I tried to update Emacs again, and this bug is still there.

This crash happens here:

  if (INTERVAL_HAS_OBJECT (tree))
    {
      Lisp_Object parent;
      GET_INTERVAL_OBJECT (parent, tree);
      if (BUFFERP (parent))
	relative_position -= BUF_BEG (XBUFFER (parent));
    }

  if (relative_position > TOTAL_LENGTH (tree))
    abort ();   <<<<<<<<<<<<<<<<<<<<<<<<<<

Can you show the value of relative_position and of TOTAL_LENGTH (tree)?

FWIW, I couldn't crash today's build on MS-Windows using your recipe.
Perhaps I didn't move around enough -- does it take you a lot?